Bug 535013 - (RHQ-1753) add a new SIGAR_DEBUG env var to rhq-agent.sh/bat for enabling SIGAR native logging
add a new SIGAR_DEBUG env var to rhq-agent.sh/bat for enabling SIGAR native l...
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
All All
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
: Task
Depends On:
  Show dependency treegraph
Reported: 2009-03-10 09:59 EDT by Ian Springer
Modified: 2013-08-05 20:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2009-03-10 09:59:00 EDT
We should add a new SIGAR_DEBUG env var to rhq-agent.sh/bat for enabling SIGAR native logging, rather than having RHQ_AGENT_DEBUG enable it. SIGAR native logging is very verbose - prints 3 or 4 lines every time new Sigar() is called. For many customer cases, we will not need SIGAR native logging, and when we do, we can ask them to set SIGAR_DEBUG.
Comment 1 John Mazzitelli 2009-03-10 10:01:27 EDT
need to add this to -env.bat/sh - I have to check the agent plugin to see if anything has to change, as well as agent auto-upgrade
Comment 2 John Mazzitelli 2009-03-10 14:48:25 EDT
RHQ_AGENT_SIGAR_DEBUG is the new setting that must be true for sigar logging to be enabled (this must be true AND the agent debug must be true). Here's the comments from -env.sh that explains this:

#    RHQ_AGENT_DEBUG - If this is defined, the script will emit debug
#                      messages. It will also enable debug
#                      messages to be emitted from the agent itself.
#                      If not set or set to "false", debug is turned off.
#                      This does not implicitly enable Sigar native system
#                      debug mode.  You must explicitly enable
#                      RHQ_AGENT_SIGAR_DEBUG in addition to enabling
#                      RHQ_AGENT_DEBUG for Sigar logging to be enabled.

#    RHQ_AGENT_SIGAR_DEBUG - Enables Sigar debug mode but only if agent debug
#                            is also enabled. See RHQ_AGENT_DEBUG for more.
Comment 3 Red Hat Bugzilla 2009-11-10 15:45:56 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1753

Note You need to log in before you can comment on or make changes to this bug.